package com.simuwang.base.common.conts;

public class NavParseStatusConst {

    /**
     * 成功
     */
    public final static Integer SUCCESS = 1;

    /**
     * 净值缺失
     */
    public final static Integer NAV_DEFICIENCY = 2;

    /**
     * 未匹配基金
     */
    public final static Integer NOT_MATCH = 3;

    /**
     * 净值不大于0
     */
    public final static Integer NAV_NEGATIVE = 4;

    /**
     * 资产净值不大于0
     */
    public final static Integer ASSET_NET_NEGATIVE = 5;

    /**
     * 当期（单位净值）与上期（单位净值）振幅大于等于20%
     */
    public final static Integer AMPLITUDE_EXCEPTION = 6;


    /**
     * 当期（单位净值）与上期（单位净值）振幅大于等于100%拦截
     */
    public final static Integer AMPLITUDE_ERROR = 7;

    /**
     * 净值日期不能大于当前日期
     */
    public final static Integer PRICE_DATE_AFTER_NOW = 8;

    /**
     * 净值日期不能早于成立日期
     */
    public final static Integer PRICE_DATE_BEFORE_INCEPTION = 9;

    /**
     * 净值日期不能晚于清算日期
     */
    public final static Integer PRICE_DATE_AFTER_LIQUIDATE = 10;

    /**
     * 净值日期不能是周末（成立日除外）
     */
    public final static Integer PRICE_DATE_NOT_WORK_DAY = 11;

    /**
     * 净值日期为空
     */
    public final static Integer PRICE_DATE_IS_NULL = 12;
    /**
     * 净值日期错误
     */
    public final static Integer PRICE_DATE_IS_ERROR = 13;

    /**
     * 净值规模数据格式有误
     */
    public final static Integer NAV_ASSET_IS_ERROR = 14;

    /**
     * 基金名称和备案编码均缺失
     */
    public final static Integer FUND_NAME_REGISTER_IS_NULL = 15;

    /**
     * 单位净值和累计净值和资产净值均缺失
     */
    public final static Integer NAV_ASSET_IS_NULL = 16;
}
